import React from "react";
import PropTypes from "prop-types";

export const Genres = ({ genres = [] }) => {
  if (!genres || genres.length === 0) {
    return null;
  }

  // Uppercase first genres
  const prettyGenres = genres
    .map((word) => word[0].toUpperCase() + word.substr(1))
    .join(", ");

  return (
    <span>
      <i className="fa fa-tags mr-1" />
      {prettyGenres}
    </span>
  );
};
Genres.propTypes = { genres: PropTypes.array };
